<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0" xmlns="http://xml.spss.com/scoring/internal" xmlns:old="http://xml.spss.com/scoring"
	exclude-result-prefixes="old">
	<xsl:output method="xml" encoding="UTF-8" indent="yes" />

	<!-- Start by coping everything -->
	<xsl:template match="@*|node()">
		<xsl:copy>
		    <xsl:apply-templates select="@*|node()"/>
  		</xsl:copy>
	</xsl:template>

	<!-- Look for the old logSettings element under the old "http://xml.spss.com/scoring" 
		namespace and replace it with xmlLoggingSettings using the "http://xml.spss.com/scoring/internal" 
		namespace. -->
	<xsl:template match="old:logSettings">
		<xsl:element name="xmlLoggingSettings" namespace="http://xml.spss.com/scoring/internal">
			<xsl:apply-templates select="@*|node()" />
		</xsl:element>
	</xsl:template>

	<!-- Any other items in the old name space map to new namespace just by using local name -->
	<xsl:template match="old:*">
		<xsl:element name="{local-name()}">
			<xsl:apply-templates select="@*|node()" />
		</xsl:element>
	</xsl:template>

</xsl:stylesheet>
